Subject: Re: Please pull linux-2.6-mpc52xx.git

From: Olof Johansson <[email-masked]>
Date: Fri, 4 Apr 2008 11:38:58 -0500

On Fri, Apr 04, 2008 at 10:14:34AM -0600, Grant Likely wrote:
> On Fri, Apr 4, 2008 at 10:11 AM, Grant Likely <[email-masked]> wrote:
> > > > > I'm thinking 'optimized' defconfigs should go into a subdirectory.
> >  > >
> >  > > This requires a change to the top-level Makefile and shepherding this
> >  > > change upstream. Could we perhaps try to avoid this by having optimized
> >  > > defconfigs in the form of, for example:
> >
> >  I don't think changes are required to put them in a subdir:
> >
> >  $ mkdir arch/powerpc/configs/optimized
> >  $ cp arch/powerpc/configs/mpc5200_defconfig
> >  arch/powerpc/configs/optimized/lite5200_defconfig
> >  $ make optimized/lite5200_defconfig
> >
> >  This works for me.
> 
> However, I'm not sure what the naming scheme should be for subdirectories.
> 
> board vendor?
> host processor?
> just one big directory for board specific defconfigs?
> 
> Olof, Kumar, Josh; any thoughts?
> 
> Not that it matters much; files are easy to move around later.

I really like the idea. It would probably make sense to organize it in
the same way as the platforms are done today, i.e. per processor/platform
family. And then have shared/merged configs in the main config directory.

-Olof